import java.io.*;

class Bank {

  public static void main (String[] xy) throws IOException {

    Girokonto g0 = new Girokonto("Beate Beinhorn", 2500,  5000);
    Girokonto g1 = new Girokonto("Rex Rehwinkel",  3500,  5000);
    Girokonto g2 = new Girokonto("Uwe Underberg",  7500, 10000);
              
    Girokonto g3 = g0; g3.setzInhaber("Heidi Hellberg");

    InputStreamReader lies = new InputStreamReader(System.in);   
    BufferedReader    eing = new BufferedReader(lies);

    while(true) {
      String Text = "A)bheben E(i)nzahlen U)eberweisen E)nde";
      System.out.print("\n" + Text + "\nWhlen Sie! ");
      String wahl = eing.readLine().toLowerCase();
      if (wahl.equals("e")) {
        System.out.println("\nGiroverkehr beendet.");
        break;
        } // Ende if
      else if (wahl.equals("a")) {
        System.out.print("\nInhaber (Beate, Rex, Uwe, Heidi): ");
        String name = eing.readLine();
        Girokonto konto = null;
        if (name.equals("Beate")) 
          konto = g0;
        else if (name.equals("Rex"))
          konto = g1;
        else if (name.equals("Uwe"))
          konto = g2;
        else if (name.equals("Heidi"))
          konto = g3;
        System.out.println("\n" + konto.Beschreibung());
        System.out.print("Betrag (EUR): ");
        int betrag = Integer.parseInt(eing.readLine());
        konto.auszahle(betrag);
        System.out.println(konto.Beschreibung());
        } // Ende if
      else if (wahl.equals("i")) {
        // Einzahlen
        } // Ende if
      else {
        // berweisen
        } // Ende else
      } // Ende while

    } // Ende main
  } // Ende Bank

class Girokonto {

  String inhaber;
  int    guthaben, kreditlinie;
  
  Girokonto (String i, int g, int k) {
    inhaber = i;
    guthaben = g; kreditlinie = k;
    } // Ende Konstruktor Girokonto

  void setzInhaber (String name)
    {inhaber = name;}

  int Guthaben()
    {return guthaben;}

  void einzahle (int betrag)
    {guthaben = guthaben + betrag;}

  void auszahle (int betrag) {
    if (betrag - guthaben <= kreditlinie)
      guthaben = guthaben - betrag;
    } // Ende auszahle

  void berweise (Girokonto g, int betrag) {
    // vom aktuellen Konto auf Konto g
    auszahle(betrag);
    g.einzahle(betrag);
    } // Ende berweise

  String Beschreibung()
    {return "Girokonto von " + inhaber + ": " + guthaben + " EUR";}
  
  } // Ende Girokonto









