import java.io.*;

class Primpal {
  // ermittelt Primpalindrome

  static boolean istPrim (long n) {
    // prft auf Primzahleigenschaft
    if (n <= 1) return false;
    else if (n == 2) return true;
    else {
      for (int k = 2; k * k <= n; k = k + 1)
        if (n % k == 0) return false;
      return true;
      } // Ende else
    } // Ende istPrim

  static long gespiegelt (long n) {
    // ordnet einer Zahl ihre Spiegelzahl zu
    long spiegelzahl = 0;
    while (n > 0) {
      spiegelzahl = 10 * spiegelzahl + n % 10;
      n = n / 10;
      } // Ende while
    return spiegelzahl;
    } // Ende gespiegelt

  static boolean istPalindrom (long n)
    {return gespiegelt(n) == n;}

  static boolean istPrimpalindrom (long n)
    {return istPrim(n) && istPalindrom(n);}
    
  static void main (String[] xy) throws IOException {
    
    InputStreamReader lies = new InputStreamReader(System.in);
    BufferedReader    eing = new BufferedReader(lies);
    
    System.out.println("\nPrimpalindromsuche\n");
    System.out.print("Untergrenze: ");
    long untergrenze = Integer.parseInt(eing.readLine());
    System.out.print("Obergrenze:  ");
    long obergrenze = Integer.parseInt(eing.readLine());

    long anzahl = 0;
    for (long zahl = untergrenze; zahl < obergrenze; zahl = zahl + 1)
      if (istPrimpalindrom(zahl)) {
        System.out.print(zahl + " ");
        anzahl = anzahl + 1;
        } // Ende if

    System.out.println("\n" + anzahl + " Primpalindrome");

    } // Ende main
  } // Ende Primpal

