
import java.util.*;

class VertSort {
  // Sortieren durch Vertauschen

  static void Ausgabe (int[] a) {
    System.out.println();
    for (int i = 0; i < a.length; i = i + 1)
      System.out.print(a[i] + " ");
    System.out.println();
    } // Ende Ausgabe

  static void vertausche (int[] r, int x, int y) 
    {int h = r[x]; r[x] = r[y]; r[y] = h;}

  static void sortiere (int[] a) {
    int     merker;
    boolean sortiert;
    do {
      sortiert = true;
      for (int i = 0; i < a.length - 1; i = i + 1)
        if (a[i] > a[i + 1]) 
          {vertausche(a, i, i + 1); sortiert = false;}
      } while (! sortiert);
    } // Ende sortiere

  static void main (String[] xy) {
    int    Lnge = 20;
    int[]  Zahlen = new int[Lnge];
    Random Zufall = new Random();

    for (int i = 0; i < Lnge; i = i + 1)
      Zahlen[i] = Zufall.nextInt(10 * Lnge);

    Ausgabe(Zahlen);
    sortiere(Zahlen);
    Ausgabe(Zahlen);

    } // Ende main
  } // Ende VertSort